/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VVariable;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VVariableRecord extends TableRecordImpl<VVariableRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_variable.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_variable.key_element_type</code>.
     */
    public void setKeyElementType(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.key_element_type</code>.
     */
    public Integer getKeyElementType() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_variable.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_variable.dn</code>.
     */
    public void setDn(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.dn</code>.
     */
    public String getDn() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_variable.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_variable.short_name</code>.
     */
    public void setShortName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.short_name</code>.
     */
    public String getShortName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_variable.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_variable.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_variable.valuelist</code>.
     */
    public void setValuelist(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.valuelist</code>.
     */
    public Integer getValuelist() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>common_dd.v_variable.var_order</code>.
     */
    public void setVarOrder(Integer value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.var_order</code>.
     */
    public Integer getVarOrder() {
        return (Integer) get(9);
    }

    /**
     * Setter for <code>common_dd.v_variable.var_ecrf</code>.
     */
    public void setVarEcrf(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.var_ecrf</code>.
     */
    public Integer getVarEcrf() {
        return (Integer) get(10);
    }

    /**
     * Setter for <code>common_dd.v_variable.var_formposx</code>.
     */
    public void setVarFormposx(Integer value) {
        set(11, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.var_formposx</code>.
     */
    public Integer getVarFormposx() {
        return (Integer) get(11);
    }

    /**
     * Setter for <code>common_dd.v_variable.var_formposy</code>.
     */
    public void setVarFormposy(Integer value) {
        set(12, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.var_formposy</code>.
     */
    public Integer getVarFormposy() {
        return (Integer) get(12);
    }

    /**
     * Setter for <code>common_dd.v_variable.fk_var_inputtype</code>.
     */
    public void setFkVarInputtype(Integer value) {
        set(13, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.fk_var_inputtype</code>.
     */
    public Integer getFkVarInputtype() {
        return (Integer) get(13);
    }

    /**
     * Setter for <code>common_dd.v_variable.default_value</code>.
     */
    public void setDefaultValue(Integer value) {
        set(14, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.default_value</code>.
     */
    public Integer getDefaultValue() {
        return (Integer) get(14);
    }

    /**
     * Setter for <code>common_dd.v_variable.fk_var_inputhelp</code>.
     */
    public void setFkVarInputhelp(Integer value) {
        set(15, value);
    }

    /**
     * Getter for <code>common_dd.v_variable.fk_var_inputhelp</code>.
     */
    public Integer getFkVarInputhelp() {
        return (Integer) get(15);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VVariableRecord
     */
    public VVariableRecord() {
        super(VVariable.V_VARIABLE);
    }

    /**
     * Create a detached, initialised VVariableRecord
     */
    public VVariableRecord(Integer keyElement, Integer keyElementType, Integer keyParentElement, String dn, Integer orderNr, String shortName, Integer isPublic, String hierLang, Integer valuelist, Integer varOrder, Integer varEcrf, Integer varFormposx, Integer varFormposy, Integer fkVarInputtype, Integer defaultValue, Integer fkVarInputhelp) {
        super(VVariable.V_VARIABLE);

        setKeyElement(keyElement);
        setKeyElementType(keyElementType);
        setKeyParentElement(keyParentElement);
        setDn(dn);
        setOrderNr(orderNr);
        setShortName(shortName);
        setIsPublic(isPublic);
        setHierLang(hierLang);
        setValuelist(valuelist);
        setVarOrder(varOrder);
        setVarEcrf(varEcrf);
        setVarFormposx(varFormposx);
        setVarFormposy(varFormposy);
        setFkVarInputtype(fkVarInputtype);
        setDefaultValue(defaultValue);
        setFkVarInputhelp(fkVarInputhelp);
        resetChangedOnNotNull();
    }
}
